%define name		jrms
%define version		1.1
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	JRMS - Java Reliable Multicast Service
Url:		http://www.experimentalstuff.com/Technologies/JRMS/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD-style
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	jrms1.1.jar
Patch0:		jrms-1.1-inria.util.Utilities.patch
Patch1:		jrms-1.1-KeyProtector.patch
Patch2:		jrms-1.1-DataSender.patch
BuildRequires:	java-devel >= 0:1.4
BuildRequires:	make

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Java Reliable Multicast Service[tm] is a set of libraries 
and services for building multicast applications. It enables 
building applications that multicast data from senders to 
receivers. The JRM Service supports multiple reliable multicast 
transports through a federated interface, which provides 
isolation to applications, and a service provider interface 
underneath to allow third parties to plug in other reliable 
multicast transport implementations. 

The JRM Service can be used by information distribution 
applications as the transport for delivery of content to very 
large constituencies. As compared to unicast protocols (i.e., 
HTTP), reliable multicast enables broadcasting to groups of 
receivers, ensuring bandwidth conservation and timely delivery. 
TRAM, a reliable multicast transport protocol developed along 
with the JRM Service, is designed for high scalability, targeted 
at very large numbers of receivers. The JRM Service also includes 
new services for multicast address allocation and management of 
channels, as well as a dynamic filtering mechanism that uses Java 
software classes which are pushed into the network for the purpose 
of interpreting the data downstream from the server.


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
    mv $f $f.no
done

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav

%build
cd jrms1.1/src
make
cd ../classes
jar cf ../classes.jar .

%install
# jars
cd jrms1.1
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 classes.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%doc jrms1.1/*.TXT
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:1.1-1jpp
- First release

